\name{SNPTEST_2_R}
\alias{SNPTEST_2_R}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
	  ~~ SNPTEST_2_R~~
}
\description{
This function takes post imputed (IMPUTE2) best-guess or maximum likelihood estimate genotypes and converts the raw data to genotypes which can be analyzed in R.  Coverts 0 0 0 format genotype to 0/1/2 and merges with .sample file.  As in all cases, input genotypes must exactly match the order of input patients.
}
\usage{
SNPTEST_2_R(genfile, samplefile)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{genfile}{
~~ .gen output.  .gen.gz not allowed.~~
}
  \item{samplefile}{
~~ text delim .sample file with identical order to gen.~~
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
Returns a space delimited merged sample file with genotypes in readable format.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Christopher Cole
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (genfile, samplefile) 
{
    gen <- read.table(genfile, sep = " ", h = F)
    samp <- read.table(samplefile, sep = " ", h = T)
    gen[, 1] <- NULL
    gen[, 3] <- NULL
    gen[, 4] <- NULL
    gen[, 5] <- NULL
    samp <- samp[-1, ]
    output <- data.frame(matrix(nrow = (nrow(samp)), ncol = (nrow(gen))))
    for (row in 1:nrow(gen)) {
        for (i in seq(2, ((ncol(gen) - 2)), by = 3)) {
            j <- i + 1
            h <- i + 2
            one <- gen[row, i]
            two <- gen[row, j]
            three <- gen[row, h]
            final <- NA
            if (one > 0.9) {
                final <- 0
            }
            else if (two > 0.9) {
                final <- 1
            }
            else if (three > 0.9) {
                final <- 2
            }
            else {
                final <- NA
            }
            output[((i + 1)/3), row] <- final
        }
    }
    colnames(output) <- gen[, 1]
    R_table <- cbind(samp, output)
    rm(gen, samp, output)
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
