# ____  _   _ ____ _____ _____ ____ _____   ____    ____  
#/ ___|| \ | |  _ \_   _| ____/ ___|_   _| |___ \  |  _ \ 
#\___ \|  \| | |_) || | |  _| \___ \ | |     __) | | |_) |
# ___) | |\  |  __/ | | | |___ ___) || |    / __/  |  _ < 
#|____/|_| \_|_|    |_| |_____|____/ |_|   |_____| |_| \_\
#
# Christopher Cole 
# August 21st 2014
	

SNPTEST_2_R <- function(genfile,samplefile) {
	
	#Read in genfile
	gen <- read.table(genfile, sep = " ", h = F)
	#read in samplefile
	samp <- read.table(samplefile, sep = " ", h = T)
	#clean up gen files
	gen[,1] <- NULL
	gen[,3] <- NULL
	gen[,4] <- NULL
	gen[,5] <- NULL
	#remove variable type in sample
	samp <- samp[-1,]
	output <- data.frame(matrix(nrow=(nrow(samp)),ncol=(nrow(gen))))
	
	for(row in 1:nrow(gen)) {
		# go from 2 so not include index column
		#subtract two so that last i is the third last element in the table, thus getting all people
		for(i in seq(2,((ncol(gen)-2)),by=3)) {
			j <- i + 1
			h <- i + 2

			one <- gen[row,i]
			two <- gen[row,j]
			three <- gen[row,h]
			
			final <- NA
			
			if (one > 0.9) { 
				final <- 0
			} else if (two > 0.9) { 
				final <- 1
			} else if (three > 0.9) { 
				final <- 2
			} else {
				final <- NA
			}
			
			output[((i+1)/3),row] <- final
		}
	}
	colnames(output) <- gen[,1]
	R_table <- cbind(samp,output)
	return(R_table)
	rm(gen,samp,output)
	}
	
